| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwmol_star.cpp File Reference

Library routines to read and write molecule files in STAR format. More...

`#include "rwstar.h"`
`#include "rwmolecule.h"`
`#include "rwmol_star.h"`
`#include "mol_tags.h"`
`#include "linked_list.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
long | read_mol_star (Bstring &filename, Bmolgroup *molgroup)
| Reads a molecule group from a STAR format file. More...
int | item_put_atom_list (Bstar_block *block, const char *tag, Bresidue *res, const char *format)
int | item_put_chain (Bstar_block *block, const char *tag, Bresidue *res, char chain)
long | write_mol_star (Bstring &filename, Bmolgroup *molgroup)
| Writes a molecule group to a STAR format file. More...

## Variables
int | verbose

## Detailed Description

Library routines to read and write molecule files in STAR format.

Author
  Bernard Heymann

Date
  Created: 19980822
  Modified: 20170103

Definition in file rwmol_star.cpp.

## Function Documentation

## ◆ item_put_atom_list()

int item_put_atom_list | ( | Bstar_block * | block,
|  | const char * | tag,
|  | Bresidue * | res,
|  | const char * | format
| ) |  |

Definition at line 233 of file rwmol_star.cpp.

## ◆ item_put_chain()

int item_put_chain | ( | Bstar_block * | block,
|  | const char * | tag,
|  | Bresidue * | res,
|  | char | chain
| ) |  |

Definition at line 290 of file rwmol_star.cpp.

## ◆ read_mol_star()

long read_mol_star | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Reads a molecule group from a STAR format file.

Parameters

  &filename | the file name.
  *molgroup | the molecule group.

Returns
  long number of molecules read (<0 if reading failed).

Definition at line 25 of file rwmol_star.cpp.

## ◆ write_mol_star()

long write_mol_star | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Writes a molecule group to a STAR format file.

Parameters

  &filename | the file name.
  *molgroup | the molecule group.

Returns
  long number of molecules written (<0 if writing failed).

Definition at line 324 of file rwmol_star.cpp.

## Variable Documentation

## ◆ verbose

int verbose